AgentClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.agent.client.AgentClient class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.agent.client
Class AgentClient

    java.lang.Object
      org.hyperic.hq.bizapp.agent.client.AgentClient

    public class AgentClient

extends java.lang.Object

This class provides the command line entry point into dealing with the agent.

Field Summary
`static java.lang.String` | `QPROP_IPADDR`
`static java.lang.String` | `QPROP_NEWTRANSPORT`
`static java.lang.String` | `QPROP_PORT`
`static java.lang.String` | `QPROP_SSLPORT`
`static java.lang.String` | `QPROP_UNI`
`static java.lang.String` | `QPROP_UNI_POLLING_FREQUENCY`

Method Summary
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QPROP_IPADDR

    public static final java.lang.String QPROP_IPADDR

See Also:
  Constant Field Values

### QPROP_PORT

    public static final java.lang.String QPROP_PORT

See Also:
  Constant Field Values

### QPROP_SSLPORT

    public static final java.lang.String QPROP_SSLPORT

See Also:
  Constant Field Values

### QPROP_NEWTRANSPORT

    public static final java.lang.String QPROP_NEWTRANSPORT

See Also:
  Constant Field Values

### QPROP_UNI

    public static final java.lang.String QPROP_UNI

See Also:
  Constant Field Values

### QPROP_UNI_POLLING_FREQUENCY

    public static final java.lang.String QPROP_UNI_POLLING_FREQUENCY

See Also:
  Constant Field Values

Method Detail

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.